%global desc %{expand: \
The Hierarchical Data Modeling Framework The Hierarchical Data Modeling
Framework, or *HDMF* is a Python package for working with hierarchical data. It
provides APIs for specifying data models, reading and writing data to different
storage backends, and representing data with Python object.Documentation of
HDMF can be found at Release. Documentation of HDMF can be found at 
https://hdmf.readthedocs.io}

%bcond_with docs

%global pypi_name hdmf

Name:           python-%{pypi_name}
Version:        1.2.0
Release:        1%{?dist}
Summary:        A package for standardizing hierarchical object data

License:        BSD
URL:            https://github.com/hdmf-dev/hdmf
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%{?python_enable_dependency_generator}

BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-certifi
BuildRequires: python3-chardet
BuildRequires: python3-h5py
BuildRequires: python3-idna
BuildRequires: python3-numpy
BuildRequires: python3-dateutil
BuildRequires: python3-requests
BuildRequires: python3-ruamel-yaml
BuildRequires: python3-six
BuildRequires: python3-urllib3
BuildRequires: python3-pandas
BuildRequires: python3-unittest2
BuildRequires: python3-tox
BuildRequires: python3-configparser
BuildRequires: python3-chardet
BuildRequires: python3-coverage
BuildRequires: python3-flake8
BuildRequires: python3-linecache2
BuildRequires: python3-mccabe
BuildRequires: python3-pluggy
BuildRequires: python3-py
BuildRequires: python3-pycodestyle
BuildRequires: python3-pyflakes
BuildRequires: python3-traceback2
BuildRequires: python3-virtualenv
BuildRequires: python3-tox
BuildRequires: python3-sphinx_rtd_theme
BuildRequires: python3-sphinx
BuildRequires: python3-sphinx-gallery
BuildRequires: python3-sphinxcontrib-bibtex

%description
%{desc}

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{desc}

%package doc
Summary: %{summary}

%description doc
Documentation for %{name}.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

find * -type f -name "*.py" -exec sed -i '/^#![ ]*\/usr\/bin\/.*$/ d' {} 2>/dev/null ';'

%if %{with docs}
pushd doc
    make SPHINXBUILD=sphinx-build-3 html
    rm -rf build/.doctrees
    rm -rf build/.buildinfo
popd
%endif

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license license.txt
%doc README.rst Legal.txt
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/*-py?.?.egg-info

%files doc
%doc docs/*

%changelog
* Sat Aug 31 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.2.0-1
- New upstream version

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.1.2-2
- Rebuilt for Python 3.8

* Fri Aug 16 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.1.2-1
- New upstream version

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 02 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.0.5-1
- New upstream version

* Wed Jun 26 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.0.4-2
- Fix some typos

* Wed Jun 26 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.0.4-1
- New upstream version

* Tue Jun 11 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.0.3-2
- Fix BR typo

* Mon Apr 29 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.0.3-1
- New upstream version

* Sun Apr 21 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.0.2-1
- New upstream version

* Tue Mar 26 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.0.1-1
- Initial package.
